#!/bin/ksh

SAMPLE_TIME=300
while true
do
   iostat ${SAMPLE_TIME} 2 > /tmp/tmp1
   COUNT=`cat /tmp/tmp1|wc -l`
   COUNT2=`expr $COUNT / 2`

   # This script is intended to run starting
   # at 7:00 AM EST Until midnight EST
   cat /tmp/tmp1|sed 1,${COUNT2}d | awk\
  '{ printf("%s %s %s\n", $1, $5, 6) }'\
 | while read HDISK VMSTAT_IO_R VMSTAT_IO_W
   do
      if (echo $HDISK|grep -cq hdisk );then

      YEAR=`date +"%Y"`
      MONTH=`date +"%m"`
      DAY=`date +"%d"`
      HOUR=`date +"%H"`
      MINUTE=`date +"%M"`

      sqlplus -s / <<EOF
      insert into iostat
       values
           (sysdate,
              $YEAR,
              $MONTH,
              $DAY,
              $HOUR,
              $MINUTE,
              $SAMPLE_TIME,
             '$HDISK',
              $VMSTAT_IO_R,
              $VMSTAT_IO_W);

      delete from iostat
      where kb_read < 10
      and kb_write < 10;
      EXIT
EOF
      fi
   done
   rm /tmp/tmp1

   sqlplus -s / <<EOF

   insert into sum_iostat (
   select
      to_date(to_char(samp_date,
      'YYYY-MM-DD-HH24-MI'),'YYYY-MM-DD-HH24-MI'),
      mount_point    ,
      $SAMPLE_TIME,
      sum(kb_read)   ,
      sum(kb_write)
   from
      vol_grp a,
      iostat b
   where
      a.hdisk = b.hdisk
   and
   to_char(samp_date,'YYYY-MM-DD-HH24-MI') =
   (select max(to_char(samp_date,
   'YYYY-MM-DD-HH24-MI')) from iostat)
   group by
      to_date(to_char(samp_date,
      'YYYY-MM-DD-HH24-MI'),'YYYY-MM-DD-HH24-MI'),
      mount_point
   );

   EXIT
EOF
done
